## mathcomp-real-closed 2.0.2

=== Makefile ===
# KNOWNTARGETS will not be passed along to CoqMakefile
KNOWNTARGETS := Makefile.coq
# KNOWNFILES will not get implicit targets from the final rule, and so
# depending on them won't invoke the submake
# Warning: These files get declared as PHONY, so any targets depending
# on them always get rebuilt
KNOWNFILES   := Makefile _CoqProject

.DEFAULT_GOAL := invoke-coqmakefile

Makefile.coq: Makefile _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

invoke-coqmakefile: Makefile.coq
	$(MAKE) --no-print-directory -f Makefile.coq $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

.PHONY: invoke-coqmakefile $(KNOWNFILES)

####################################################################
##                      Your targets here                         ##
####################################################################

# This should be the last rule, to handle any targets not declared above
%: invoke-coqmakefile
	@true

## mathcomp-real-closed 1.1.2

=== debian/changelog ===
mathcomp-real-closed (1.1.2-3) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 13:52:08 +0200

mathcomp-real-closed (1.1.2-2) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 24 May 2022 08:42:44 +0200

mathcomp-real-closed (1.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1010650)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 06 May 2022 16:23:27 +0200

=== debian/control ===
Source: mathcomp-real-closed
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-ocaml,
               libcoq-mathcomp-algebra,
               libcoq-mathcomp-bigenough,
               libcoq-mathcomp-field,
               libcoq-mathcomp-ssreflect,
               ocaml-dune
Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-real-closed
Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-real-closed.git
Homepage: https://github.com/math-comp/real-closed

Package: libcoq-mathcomp-real-closed
Architecture: any
Depends: coq-${F:CoqABI},
         libcoq-mathcomp-algebra,
         libcoq-mathcomp-bigenough,
         libcoq-mathcomp-field,
         libcoq-mathcomp-ssreflect,
         ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: Real closed fields for Mathematical Components
 This library contains definitions and theorems about real closed fields
 for Mathematical Components. It includes a construction of the real
 and algebraic closure (with a proof of the fundamental theorem of
 algebra). The decidability of the first order theory of real closed
 field, through quantifier elimination is also established.
 .
 The Mathematical Components library is a coherent repository of
 general-purpose formalized mathematical theories for the
 Coq proof assistant.

## mathcomp-real-closed 1.1.3

=== debian/changelog ===
mathcomp-real-closed (1.1.3-1) unstable; urgency=medium

  * Add an autopkgtest.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 07 Jul 2022 23:00:53 +0200

mathcomp-real-closed (1.1.2-4) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:26:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
-               dh-ocaml,
+               dh-coq, dh-ocaml,
                libcoq-mathcomp-algebra,
                libcoq-mathcomp-bigenough,
                libcoq-mathcomp-field,
@@ -19,13 +19,8 @@
 
 Package: libcoq-mathcomp-real-closed
 Architecture: any
-Depends: coq-${F:CoqABI},
-         libcoq-mathcomp-algebra,
-         libcoq-mathcomp-bigenough,
-         libcoq-mathcomp-field,
-         libcoq-mathcomp-ssreflect,
-         ${misc:Depends}
-Provides: ${ocaml:Provides}
+Depends: ${coq:Depends}, ${misc:Depends}
+Provides: ${coq:Provides}
 Suggests: ocaml-findlib
 Description: Real closed fields for Mathematical Components
  This library contains definitions and theorems about real closed fields

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/coq/coqvars.mk

%:
	dh $@ --with coq

override_dh_auto_clean:
	make clean
	rm -f Makefile.coq Makefile.coq.conf

override_dh_auto_build:
	make
	dune build

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	dune install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	@echo "It's not a real autotools-made Makefile"

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp.real_closed complex
Depends: @, coq

## mathcomp-real-closed 1.1.4

=== debian/changelog ===
mathcomp-real-closed (1.1.4-2) unstable; urgency=medium

  * Team upload
  * Fix call to dune install

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Jul 2023 08:21:32 +0200

mathcomp-real-closed (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 15 Jun 2023 07:22:59 +0200

mathcomp-real-closed (1.1.2-5) unstable; urgency=medium

  * Add an autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 09:41:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/ocaml/ocamlvars.mk
 include /usr/share/coq/coqvars.mk
 
 %:
@@ -16,7 +17,7 @@
 
 override_dh_auto_install:
 	make install DESTDIR=$(CURDIR)/debian/tmp
-	dune install --destdir=$(CURDIR)/debian/tmp
+	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 
 override_dh_auto_test:
 	@echo "It's not a real autotools-made Makefile"

## mathcomp-real-closed 2.0.0

=== debian/changelog ===
mathcomp-real-closed (2.0.0-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:18:57 +0200

mathcomp-real-closed (2.0.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:05:04 +0000

mathcomp-real-closed (2.0.0-1build3) noble; urgency=medium

  * No-change rebuild for new ssreflect ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 21:44:37 +0000

mathcomp-real-closed (2.0.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:27:01 +0100

mathcomp-real-closed (2.0.0-1build1) noble; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Jan 2024 08:31:40 -0500

mathcomp-real-closed (2.0.0-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1046759).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:37:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mathcomp-real-closed
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 override_dh_auto_clean:
 	make clean
+	dune clean
+	find . -name "*.aux" -delete
 	rm -f Makefile.coq Makefile.coq.conf
 
 override_dh_auto_build:

## mathcomp-real-closed 2.0.1

=== debian/changelog ===
mathcomp-real-closed (2.0.1-1build1) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Nov 2024 10:28:41 -0500

mathcomp-real-closed (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 11:00:30 +0100

mathcomp-real-closed (2.0.0-3) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 14:33:36 +0200

mathcomp-real-closed (2.0.0-2) unstable; urgency=medium

  * Bump for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:54:28 +0100

## mathcomp-real-closed 2.0.2

=== debian/changelog ===
mathcomp-real-closed (2.0.2-1build13) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 11:31:50 +0100

mathcomp-real-closed (2.0.2-1build12) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 09:11:50 +0100

mathcomp-real-closed (2.0.2-1build11) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:47:57 +0200

mathcomp-real-closed (2.0.2-1build10) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:21:04 +0200

mathcomp-real-closed (2.0.2-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:36:23 +0200

mathcomp-real-closed (2.0.2-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:06:38 +0200

mathcomp-real-closed (2.0.2-1build7) questing; urgency=medium

  * Rebuild against coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 13:23:53 -0400

mathcomp-real-closed (2.0.2-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:22:28 +0100

mathcomp-real-closed (2.0.2-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 06:36:26 +0100

mathcomp-real-closed (2.0.2-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:59:59 +0100

mathcomp-real-closed (2.0.2-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:12:08 +0100

mathcomp-real-closed (2.0.2-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:42:07 +0100

mathcomp-real-closed (2.0.2-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 12:39:56 -0500

mathcomp-real-closed (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:20:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mathcomp-real-closed
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/coq/coqvars.mk
 
 %:
-	dh $@ --with coq
+	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
 	make clean
